/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package multiunzip;

import java.util.Vector;
import javax.swing.DefaultListModel;

/**
 *
 * @author martin
 */
public class DataListModel extends DefaultListModel 
{
    protected static class Pair
    {
        Object obj;
        Object data;
        
        public Pair( Object obj, Object data )
        {
            this.obj = obj;
            this.data = data;
        }
    }
    
    Vector<Pair> vector = new Vector<Pair>();
    
    @Override
    public void addElement( Object obj )
    {
        addElement( obj, null );
    }
    
    @Override
    public void clear()
    {
        vector.clear();
        super.clear();
    }
    
    public void addElement( Object obj, Object extra_data )
    {
        vector.add( new Pair( obj, extra_data ) );
        super.addElement(obj);
    }
    
    public Object getData(int idx)
    {
        return vector.get(idx).data;
    }

}
